------------------------------------------------
-- Forest Pack Libraries Maxcript Functions
-- (C) Itoo Software 2015
------------------------------------------------	

-- Get the renderer macro from max 
fn getRenderer = (
	local renderClass = (classof renderers.current);
	if ((renderClass == VRay) or (renderClass == VRayRT)) then
		"vray"
	else if ((renderClass == mental_ray_renderer) or (renderClass == iray_Renderer)) then
		"mental"
	else if (renderClass == Octane3dsmax) then
		"octane"
	else if (renderClass == Thea_Render) then
		"thea"
	else if (renderClass == CoronaRenderer) then
		"corona"
	else
		"standard"
)

-- Add the maps folder location to user paths
fn addMapDirectory LibraryMapPath = 
(
 local pathExists = false
 for i = 1 to mapPaths.count() do 
 (
  if mapPaths.get(i) == LibraryMapPath then pathExists = true
 )
 if (pathExists == false) then 
 	(
 		if queryBox "This library's maps folder should be added to Customize->Configure User Paths->External Files.\n\nClick YES to add it automatically\nClick NO if you prefer to configure the map path manually." title:"Add Maps Path?" beep:true then (
 		mapPaths.add LibraryMapPath 
		)
 	) 
 	LibraryMapPath 
)